
clear
clc


load ALL_AML_data.txt;
A=ALL_AML_data;

x=mapstd(A',0,1)';
K=4;
type='standard';
sumabs=0.5;
sumabsu=50;   
sumabsv = sqrt(size(x,2))*sumabs;
pmdout=PMD(x, type,K,sumabs, sumabsu,sumabsv);  %%%% 

close all
figure
VT=pmdout.v(:,1:4)';
imagesc((VT));
colorbar
xlabel('No. of  Sample')

figure
plot(pmdout.d);
xlabel('k')
ylabel('d')








